package card_info_apple

import (
	"context"
	"kami/internal/service"
	"kami/utility/lib/libErr"

	"kami/api/card_info_apple/v1"
)

func (c *ControllerV1) CardInfoDelete(ctx context.Context, req *v1.CardInfoDeleteReq) (res *v1.CardInfoDeleteRes, err error) {
	appleAccountService := service.AppleAccount()
	err = appleAccountService.Delete(ctx, req.ID, nil)
	libErr.ErrIsNil(ctx, err, "删除账号失败")
	return
}
